Skip to main content
PUT
/
api
/
v0
/
instances
/
prepay
/
{id}
prepay instance
curl --request PUT \
  --url https://console.vast.ai/api/v0/instances/prepay/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "amount": 500
}'
import requests

url = "https://console.vast.ai/api/v0/instances/prepay/{id}"

payload = { "amount": 500 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 500})
};

fetch('https://console.vast.ai/api/v0/instances/prepay/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "timescale": 3.5,
  "discount_rate": 0.3
}
{
"success": false,
"msg": "No such instance"
}
{
"success": false,
"msg": "Insufficient credit"
}
{
"detail": "API requests too frequent endpoint threshold=2.0"
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

id
integer
required

ID of the instance to prepay for

Body

application/json
amount
number<float>
required

Amount of credits to prepay

Example:

500

Response

Successfully applied prepayment

success
boolean
Example:

true

timescale
number<float>

Number of months the prepayment will cover

Example:

3.5

discount_rate
number<float>

Applied discount rate (0.0-0.4)

Example:

0.3